<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content injectable">
                   <div class="content-data">







<ol class="breadcrumb">
  <li>Injectables</li>
  <li>RegisterService</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">
        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/app/operation/voting-material/register/services/register.service.ts</code>
        </p>



            <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#serviceUrl">serviceUrl</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#downloadConsolidatedReport">downloadConsolidatedReport</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#downloadPdf">downloadPdf</a>
                            </li>
                            <li>
                                <a href="#downloadReport">downloadReport</a>
                            </li>
                            <li>
                                <a href="#getReports">getReports</a>
                            </li>
                            <li>
                                <a href="#remove">remove</a>
                            </li>
                            <li>
                                <a href="#validateUpload">validateUpload</a>
                            </li>
                        </ul>
                    </td>
                </tr>





        </tbody>
    </table>
</section>

            <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(http: <a href="https://angular.io/api/common/http/HttpClient" target="_blank">HttpClient</a>, httpParams: <a href="../injectables/HttpParameters.html">HttpParameters</a>, fileService: <a href="../injectables/FileService.html">FileService</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="9" class="link-to-prism">src/app/operation/voting-material/register/services/register.service.ts:9</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>http</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/common/http/HttpClient" target="_blank" >HttpClient</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>httpParams</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/HttpParameters.html" target="_self" >HttpParameters</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>fileService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/FileService.html" target="_self" >FileService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

            <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="downloadConsolidatedReport"></a>
                        <span class="name">
                            <b>
                            downloadConsolidatedReport
                            </b>
                            <a href="#downloadConsolidatedReport"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>downloadConsolidatedReport(operationId)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="36" class="link-to-prism">src/app/operation/voting-material/register/services/register.service.ts:36</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>operationId</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="downloadPdf"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            downloadPdf
                            </b>
                            <a href="#downloadPdf"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>downloadPdf(url, params: <a href="https://angular.io/api/common/http/HttpParams" target="_blank">HttpParams</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="40" class="link-to-prism">src/app/operation/voting-material/register/services/register.service.ts:40</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>url</td>
                                                        <td>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                                <tr>
                                                        <td>params</td>
                                                        <td>
                                                                    <code><a href="https://angular.io/api/common/http/HttpParams" target="_blank" >HttpParams</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="downloadReport"></a>
                        <span class="name">
                            <b>
                            downloadReport
                            </b>
                            <a href="#downloadReport"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>downloadReport(messageUniqueId, operationId)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="31" class="link-to-prism">src/app/operation/voting-material/register/services/register.service.ts:31</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>messageUniqueId</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                                <tr>
                                                        <td>operationId</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="getReports"></a>
                        <span class="name">
                            <b>
                            getReports
                            </b>
                            <a href="#getReports"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>getReports(operationId: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank">number</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="27" class="link-to-prism">src/app/operation/voting-material/register/services/register.service.ts:27</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>operationId</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="remove"></a>
                        <span class="name">
                            <b>
                            remove
                            </b>
                            <a href="#remove"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>remove(operationId, messageUniqueId)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="22" class="link-to-prism">src/app/operation/voting-material/register/services/register.service.ts:22</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>operationId</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                                <tr>
                                                        <td>messageUniqueId</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="validateUpload"></a>
                        <span class="name">
                            <b>
                            validateUpload
                            </b>
                            <a href="#validateUpload"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>validateUpload(messageUniqueId, operationId)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="17" class="link-to-prism">src/app/operation/voting-material/register/services/register.service.ts:17</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>messageUniqueId</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                                <tr>
                                                        <td>operationId</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

            <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="serviceUrl"></a>
                        <span class="name">
                            <b>
                            serviceUrl
                            </b>
                            <a href="#serviceUrl"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>serviceUrl:     <code></code>
</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="9" class="link-to-prism">src/app/operation/voting-material/register/services/register.service.ts:9</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Injectable } from &quot;@angular/core&quot;;
import { FileService } from &#x27;../../../../core/service/file-service/file-service&#x27;;
import { HttpParameters } from &#x27;../../../../core/service/http/http.parameters.service&#x27;;
import { HttpClient, HttpParams, HttpResponse } from &#x27;@angular/common/http&#x27;;
import { ImportedRegisterFile } from &quot;app/operation/voting-material/register/model/imported-register-file&quot;;

@Injectable()
export class RegisterService {
  serviceUrl;

  // wrapped in a local variable for testing purposes

  constructor(private http: HttpClient, httpParams: HttpParameters, private fileService: FileService) {
    this.serviceUrl &#x3D; httpParams.apiBaseURL + &#x60;/operation/register&#x60;;
  }

  validateUpload(messageUniqueId, operationId) {
    return this.http.get(&#x60;${this.serviceUrl}/${operationId}/validate-upload&#x60;,
      {params: new HttpParams().set(&quot;messageUniqueId&quot;, messageUniqueId)});
  }

  remove(operationId, messageUniqueId) {
    return this.http.delete(&#x60;${this.serviceUrl}/${operationId}&#x60;,
      {params: new HttpParams().set(&quot;messageUniqueId&quot;, messageUniqueId)});
  }

  getReports(operationId: number) {
    return this.http.get&lt;ImportedRegisterFile[]&gt;(&#x60;${this.serviceUrl}/${operationId}&#x60;);
  }

  downloadReport(messageUniqueId, operationId) {
    this.downloadPdf(&#x60;${this.serviceUrl}/${operationId}/detailedReport&#x60;,
      new HttpParams().set(&quot;messageUniqueId&quot;, messageUniqueId));
  }

  downloadConsolidatedReport(operationId) {
    this.downloadPdf(&#x60;${this.serviceUrl}/${operationId}/detailedReport/consolidatedDetailedReport&#x60;, new HttpParams());
  }

  private downloadPdf(url, params: HttpParams) {
    this.http.get(url, {
      observe: &#x27;response&#x27;,
      responseType: &#x27;blob&#x27;,
      params
    }).subscribe(
      (response: HttpResponse&lt;Blob&gt;) &#x3D;&gt; {
        let blob &#x3D; new Blob([response.body], {type: &#x27;application/pdf&#x27;});
        this.fileService.downloadBlob(HttpParameters.getFileNameFromHeader(response), blob);
      }
    );
  }


}
</code></pre>
    </div>

</div>











                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'injectable';
            var COMPODOC_CURRENT_PAGE_URL = 'RegisterService.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
